/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  CREATE_customProjectTest = 'changeCustomProjectTestDialogReducer_CREATE_customProjectTest',
  CREATE_customProjectTest_PENDING = 'changeCustomProjectTestDialogReducer_CREATE_customProjectTest_PENDING',
  CREATE_customProjectTest_FULFILLED = 'changeCustomProjectTestDialogReducer_CREATE_customProjectTest_FULFILLED',
  CREATE_customProjectTest_REJECTED = 'changeCustomProjectTestDialogReducer_CREATE_customProjectTest_REJECTED',

  UPDATE_customProjectReducer = 'changeCustomProjectTestDialogReducer_UPDATE_customProjectReducer',
  UPDATE_customProjectReducer_PENDING = 'changeCustomProjectTestDialogReducer_UPDATE_customProjectReducer_PENDING',
  UPDATE_customProjectReducer_FULFILLED = 'changeCustomProjectTestDialogReducer_UPDATE_customProjectReducer_FULFILLED',
  UPDATE_customProjectReducer_REJECTED = 'changeCustomProjectTestDialogReducer_UPDATE_customProjectReducer_REJECTED',

  SET_testId = 'changeCustomProjectTestDialogReducer_SET_testId',
  SET_content = 'changeCustomProjectTestDialogReducer_SET_content',
  SET_displayName = 'changeCustomProjectTestDialogReducer_SET_displayName',
  SET_displayIndex = 'changeCustomProjectTestDialogReducer_SET_displayIndex',
  SET_isSubmitTest = 'changeCustomProjectTestDialogReducer_SET_isSubmitTest',
  SET_weight = 'changeCustomProjectTestDialogReducer_SET_weight',
  SET_testTypeId = 'changeCustomProjectTestDialogReducer_SET_testTypeId',
  SET_editorTest_memoryLimitInKb = 'changeCustomProjectTestDialogReducer_SET_editorTest_memoryLimitInKb',
  SET_editorTest_timeoutInMs = 'changeCustomProjectTestDialogReducer_SET_editorTest_timeoutInMs',
  SET_editorTest_compileTimeoutInMs = 'changeCustomProjectTestDialogReducer_SET_editorTest_compileTimeoutInMs',
  SET_editorTest_maxDiskSpaceInKb = 'changeCustomProjectTestDialogReducer_SET_editorTest_maxDiskSpaceInKb',


  SET_isCreating = 'changeCustomProjectTestDialogReducer_SET_isCreating',
  SET_isHelpDisplayed = 'changeCustomProjectTestDialogReducer_SET_isHelpDisplayed',
  SET_selectedTest = 'changeCustomProjectTestDialogReducer_SET_selectedTest',
  SET_selectedTabIndex = 'changeCustomProjectTestDialogReducer_SET_selectedTabIndexAction',

  SET_editorTest_files = 'changeCustomProjectTestDialogReducer_SET_editorTest_files',
  RESET = 'changeCustomProjectTestDialogReducer_RESET',
}
